## com.arsdigita.cms.docmgr
Class DocMgrConfig

    java.lang.Object
      com.arsdigita.util.parameter.AbstractParameterContext
          com.arsdigita.runtime.AbstractConfig
              com.arsdigita.cms.docmgr.DocMgrConfig

All Implemented Interfaces:
  com.arsdigita.util.parameter.ParameterContext

public final class DocMgrConfig
extends com.arsdigita.runtime.AbstractConfig

Field Summary
`static String` `versionId`

Constructor Summary
`DocMgrConfig()`

Method Summary
`String` `getContentSection()`
`int` `getInternalGroupID()`
`int` `getLegacyFolderID()`
`String` `getLegacyFolderName()`
`int` `getRowsPerPage()`

Methods inherited from class com.arsdigita.runtime.AbstractConfig
`load, load, load, require`

Methods inherited from class com.arsdigita.util.parameter.AbstractParameterContext
`get, get, getParameters, load, load, loadInfo, register, save, set, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### versionId

    public static final String versionId

See Also:
  Constant Field Values

Constructor Detail

### DocMgrConfig

    public DocMgrConfig()

Method Detail

### getContentSection

    public String getContentSection()

### getLegacyFolderName

    public String getLegacyFolderName()

### getLegacyFolderID

    public int getLegacyFolderID()

### getInternalGroupID

    public int getInternalGroupID()

### getRowsPerPage

    public int getRowsPerPage()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC